package org.springblade.modules.cdglinfos.service;

import org.springblade.modules.cdglinfos.entity.GlInfoEntity;
import org.springblade.modules.cdglinfos.vo.AppMenuVO;
import org.springblade.modules.cdglinfos.vo.GlInfoVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqjw.sydw.pojo.vo.SydwMenuVO;

import java.util.List;

/**
 * 菜单信息表 服务类
 *
 * @author ldx
 * @since 2023-08-14
 */
public interface IGlInfoService extends BaseService<GlInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param glinfo
	 * @return
	 */
	IPage<GlInfoVO> selectGlInfoPage(IPage<GlInfoVO> page, GlInfoVO glinfo);


	List<GlInfoEntity> getAppByUserRole(String ancestors, String userRole, String appName);

	List<SydwMenuVO> getSydwMenu(String flag, String appName);

	List<GlInfoEntity> getAppByUserRoleNew(String ancestors, String roleName, String appName, String dictKey);

	List<AppMenuVO> getDictValueList();
}
